<?php 
defined('BASEPATH') OR exit('No direct script access allowed');
header('Access-Control-Allow-Origin: *');

class Bitacoras extends CI_Controller 
{
    public function __construct()
    {
        parent::__construct();
    
        //cargar la base de datos
        $this->load->database();
        //parser de json y xml
        $this->load->library("parser");

        //$this->load->model('Sesion_Model');
        $this->load->library('form_validation');
        //$this->load->library("Form_validation");
        $this->load->helper("url");
        $this->load->helper('form');
        $this->load->helper('text');
        
        //Cargando los modelos para gestion de la data sistema pena
        $this->load->model('Bitacora_Model');
        $this->load->model('Usuarios_Model');
    }

    //Listar Bitacora
    public function listBitacoras($offset = 0)
    {
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        }

        $this->load->model('Tipos_Model');
    	//Armando el arreglo del dato
		// $dato = array('1','null','null','null','null'); 
        // $query = $this->Bitacora_Model->getBitacora($dato);
        
        $datou = array('1', 'null','null', 'null', 'null', 'null', 'null');
		$usuarios = $this->Usuarios_Model->getUsuarioforParameter(null, $offset, $datou);

        $datoe = array('1', 'null','null','null','null');
		$eventos =  $this->Tipos_Model->getEventos($datoe);
		
		//Enviar Arreglo
		//$data['bitacoras'] = $query;
        $data['usuarios']  = $usuarios;
        $data['eventos']   = $eventos;

		//Cargar los permisos
        $this->load->model('Security_Model');
        $profile = $this->session->userdata('profile');
        $modulo  = "all";
        $datos   = array('1', $profile, $modulo); 
		$permiso = $this->Security_Model->getAllSecurityProfile($datos);
        $data['permisos'] = $permiso;
		       
		$this->load->view('admin/Bitacoras/list', $data);
    }

    //Buscar Bitacoras
    public function searchBitacoras ()
    {
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        }

        $this->load->model('Bitacora_Model');
        $this->load->model('Usuarios_Model');

        //capturar datos
        $Opcion    = $this->input->post('Opcion')== ''?'null':$this->input->post('Opcion');
        $IdEvento  = $this->input->post('IdEvento')== ''?'null':$this->input->post('IdEvento');
        $FechaIni  = "'".strval($this->input->post('FechaIni')==''?'null':$this->input->post('FechaIni'))."'";
        $FechaFin  = "'".strval($this->input->post('FechaFin')==''?'null':$this->input->post('FechaFin'))."'";
        $IdUsuario = $this->input->post('IdUsuario')==''?'null':$this->input->post('IdUsuario');
        
        //arreglo
        $dato = array('1',$IdEvento,$FechaIni,$FechaFin,$IdUsuario); 
        $query = $this->Bitacora_Model->getBitacora($dato);

        //retornar los valores
        echo json_encode($query);
    }
}














